Skip to main content
DELETE
/
v5
/
clientMgmt
/
client
Delete a client
curl --request DELETE \
  --url https://sandbox.hurdlr.com/rest/v5/clientMgmt/client \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '{
  "id": 123
}'
import requests

url = "https://sandbox.hurdlr.com/rest/v5/clientMgmt/client"

payload = { "id": 123 }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "*/*"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
  body: JSON.stringify({id: 123})
};

fetch('https://sandbox.hurdlr.com/rest/v5/clientMgmt/client', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
id
integer<int64>
required

id

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object